import { useMemo } from 'react';
import { useOrderPerspective } from "./useOrderPerspective";
import { useBookingPerspective } from "./useBookingPerspective";
var usePerspectives = function usePerspectives(params) {
  var orderPerspective = useOrderPerspective();
  var bookingPerspective = useBookingPerspective(params);
  return useMemo(function () {
    return [orderPerspective, bookingPerspective];
  }, [orderPerspective, bookingPerspective]);
};
export { useOrderPerspective, useBookingPerspective };
export default usePerspectives;